package com.zhibao.crm.utils;

import com.jfinal.kit.PathKit;
import com.jfinal.plugin.activerecord.dialect.MysqlDialect;
import com.jfinal.plugin.activerecord.generator.Generator;
import com.jfinal.plugin.druid.DruidPlugin;
import com.zhibao.crm.common.config.JfinalConfig;
import javax.sql.DataSource;

public class _JFinalGenerator {

   public static DataSource getDataSource() {
      DruidPlugin druidPlugin = JfinalConfig.createDruidPlugin();
      druidPlugin.start();
      return druidPlugin.getDataSource();
   }

   public static void main(String[] args) {
      String baseModelPackageName = "com.zhibao.erp";
      String baseModelOutputDir = PathKit.getWebRootPath() + "/src/main/test/erp/base";
      String modelPackageName = "com.zhibao.crm";
      String modelOutputDir = baseModelOutputDir + "/..";
      Generator generator = new Generator(getDataSource(), baseModelPackageName, baseModelOutputDir, modelPackageName, modelOutputDir);
      generator.setDialect(new MysqlDialect());
      generator.setGenerateChainSetter(false);
      generator.setGenerateDaoInModel(true);
      generator.setGenerateDataDictionary(false);
      generator.setRemovedTableNamePrefixes(new String[]{"crm_"});
      generator.generate();
   }
}
